
QGIS Application - Bug report #10051

DB manager: python error when copying rows resulting from a query

2014-04-11 02:13 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18530

Description

make a query (tested on spatialite), then in the results table select one or more rows and do ctrl-c

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\dlg_sql_window.py", line 252, in copySelectedResults

    text += "\

" + model.rowToString( idx.row(), "\\t" )

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 41, in rowToString

    text += u"%s" % self.getData(row, col) + sep

UnicodeDecodeError: 'ascii' codec can't decode byte 0xcd in position 7: ordinal not in range(128)

History

#1 - 2014-06-20 06:23 AM - Giovanni Manghi

- Target version set to Version 2.4

still true on latest master.

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2015-09-20 08:41 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:9fc1b48b
